<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$textl = 'Отправка сообщения на проверку спама';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	echo '<div class="phdr"><h3>Отправка сообщения на проверку спама</h3></div>';
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`='$user_id' AND `id`='$id' or `id_kont`='$user_id' AND `id`='$id';"), 0)==0) {
		echo '<div class="rmenu">Сообщения не существует</div>';
		echo '<div class="menu"><a href="'.$home.'/pochta/">Назад</a></div>';
	}
	else {
		$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `mail_msg` WHERE (`id_user`='$user_id' OR `id_kont`='$user_id') AND `id`='$id';"));
		if ($ban['1']) {
			echo '<div class="rmenu">Ваша учетная запись заблокированна. Работа с почтой невозможна</div>';
			echo '<div class="bmenu"><a href="'.$home.'/pochta/index.php">Назад</a></div>';
			require_once('../incfiles/end.php');
			exit;
		}
		if(!isset($_POST['submit'])) {
			echo '<div class="rmenu">Внимание! Если факт спама подтвердится пользователь будит наказан, иначе будите наказаны Вы за клевету. Не балуйтесь с этой функцией, что бы не беспокоить администрацию по напрасну, у нее и так дел полно.</div>';
			echo '<div class="menu"><form enctype="multipart/form-data" method="post" action="' . $home . '/pochta/index.php?act=isspam&amp;id='.$id.'"><div>
			<strong>Подтвердите факт спама</strong><br />
			<input type="submit" name="submit" value="Подтвердить"/>
			</div></form></div>';
		} else {

			$error = array();
			
			if(!$error) {
				mysql_query("UPDATE `mail_msg` SET
				`spam` = '2' WHERE `id_kont`='" . $user_id . "' AND `id`='$id';");
				echo '<div class="menu">Сообщение отправлено на проверку!</div>';
			} else {
				echo '<div class="rmenu">Ошибка! '.implode('<br />',$error).'</div>';
			}
		}
	}
	echo '<div class="bmenu"><a href="'.$home.'/pochta/index.php">Назад</a></div>';
?>